> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datalinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List the agents exposed over A2A

> Convenience listing of the available A2A agents and their AgentCard URLs. Public, no authentication.



## OpenAPI

````yaml /api-reference/openapi.yml get /a2a
openapi: 3.0.3
info:
  title: DataLinks
  version: 2.2.3
servers:
  - url: https://api.datalinks.com/api/v1
    description: production server
security:
  - bearerAuth: []
  - openId:
      - implicit
paths:
  /a2a:
    get:
      tags:
        - a2a
      summary: List the agents exposed over A2A
      description: >-
        Convenience listing of the available A2A agents and their AgentCard
        URLs. Public, no authentication.
      operationId: listA2aAgents
      responses:
        '200':
          description: The available A2A agents.
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  additionalProperties: true
      security: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      description: >
        Use a Bearer token for authentication. Submit the token using the
        `Authorization`

        header: `Authorization: Bearer <token>`.
      scheme: bearer
    openId:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: >-
            https://login.datalinks.com/realms/datalinks-realm/protocol/openid-connect/auth
          scopes:
            openid: openid

````